#library "IKADOOM"
#include "zcommon.acs"

int IkarugaUnleashAlert = 0;
int ChainCure[64];

Script "ChangeShield" (void) NET
{
    SetHudSize(480, 300, FALSE);
	if (CheckInventory("IkaDoomRedShield"))
	    {
		HudMessage(s:"Blue Shield";HUDMSG_FADEINOUT,10,CR_LIGHTBLUE,240.0,280.0,1.0);
		ActivatorSound("IkaDoom/ChangeShield",127);
	    TakeInventory("IkaDoomRedShield", 1);
		GiveInventory("IkaDoomBlueShield", 1);
		}
	else
	    {
		HudMessage(s:"Red Shield";HUDMSG_FADEINOUT,10,CR_DARKRED,240.0,280.0,1.0);
		ActivatorSound("IkaDoom/ChangeShield",127);
		TakeInventory("IkaDoomBlueShield", 1);
		GiveInventory("IkaDoomRedShield", 1);
		}
}

Script "UnleashReadySound" enter
{
    if(CheckInventory("IkarugaShieldPower")==25 && IkarugaUnleashAlert == 0)
	{
	    SetHudSize(480, 300, FALSE);
        ActivatorSound("IkaDoom/UnleashReady",127);
		HudMessage(s:"Energy Max";HUDMSG_FADEINOUT,11,CR_YELLOW,240.0,270.0,1.0);
		IkarugaUnleashAlert = 1;
	}
	Delay(5);
	Restart;
}

Script "Unleash" (void) NET
{
		if(CheckInventory("IkarugaShieldPower")==25)
		{
		IkarugaUnleashAlert = 0;
		ActivatorSound("IkaDoom/UnleashFire",127);
		TakeInventory("IkarugaShieldPower", 9999);
		GiveInventory("UnleashItemActivator", 1);
		}
}

script "FireReturn" (void)
{
    SetResultValue(GetCVar("ikaruga_return"));
}

script "ChainMechanic" KILL 
{	
	
	if(!CheckFlag(0, "ISMONSTER"))
	{
		terminate;
	}
	
	Bool joer=CheckFlag(0,"PUFFGETSOWNER"); 
	If(joer)
	{
	    SetActivatorToTarget(0);
		if(CheckInventory("IkaDoomBlueChainCounter")>=1)
		{
		ChainCure[PlayerNumber()]=0;
		TakeInventory("IkaDoomChainCounter", 999);
		TakeInventory("IkaDoomBlueChainCounter", 999);
		TakeInventory("IkaDoomRedChainCounter", 999);
		}
		else
		{
		GiveInventory("IkaDoomRedChainCounter", 1);
		}
	}
	else 
	{
	    SetActivatorToTarget(0);
		if(CheckInventory("IkaDoomRedChainCounter")>=1)
		{
		ChainCure[PlayerNumber()]=0;
		TakeInventory("IkaDoomChainCounter", 999);
		TakeInventory("IkaDoomBlueChainCounter", 999);
		TakeInventory("IkaDoomRedChainCounter", 999);
		}
		else
		{
		GiveInventory("IkaDoomBlueChainCounter", 1);
		}
	}
	
	if(CheckInventory("IkaDoomBlueChainCounter")==3 || CheckInventory("IkaDoomRedChainCounter")==3)
	   {
	       SetHudSize(480, 300, FALSE);
           TakeInventory("IkaDoomBlueChainCounter", 999);
	   	   TakeInventory("IkaDoomRedChainCounter", 999);
		   if(ChainCure[PlayerNumber()]<10)
           ChainCure[PlayerNumber()]++;
		   HealThing(ChainCure[PlayerNumber()]);
		   GiveInventory("IkaDoomChainCounter", 1);
		   ActivatorSound("IkaDoom/ChainDone",127);
		   HudMessage(s:"Chain ", d:ChainCure[PlayerNumber()], s:" Completed!";HUDMSG_FADEINOUT,12,CR_WHITE,240.0,260.0,1.0);
	   }
}

